using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace Telerik.Windows.Examples.Examples.TreeView
{
	/// <summary>
	/// Represents a customer
	/// </summary>
	public class Products
	{
		private string productID;
		private string categoryID;
		private string productName;
		private string unitsInStack;
		private string unitPrice;

		private ObservableCollection<OrderDetails> orders = null;

		public ObservableCollection<OrderDetails> OrderDetails
		{
			get
			{
				if (this.orders == null)
				{
					this.orders = new ObservableCollection<OrderDetails>();
				}
				return this.orders;
			}
		}
		

		/// <summary>
		/// Gets or sets the orderID.
		/// </summary>
		/// <value>The order ID.</value>
		public string ProductID
		{
			get
			{
				return productID;
			}
			set
			{
				productID = value;
			}
		}

		public string CategoryID
		{
			get
			{
				return categoryID;
			}
			set
			{
				categoryID = value;
			}
		}

		/// <summary>
		/// Gets or sets the name of the company.
		/// </summary>
		/// <value>The name of the company.</value>
		public string UnitsInStack
		{
			get
			{
				return unitsInStack;
			}
			set
			{
				unitsInStack = value;
			}
		}

		/// <summary>
		/// Gets or sets the country.
		/// </summary>
		/// <value>The country.</value>
		public string UnitPrice
		{
			get
			{
				return unitPrice;
			}
			set
			{
				unitPrice = value;
			}
		}

		public string ProductName
		{
			get
			{
				return productName;
			}
			set
			{
				productName = value;
			}
		}
	}
}
